/*
 * Strawberry Music Player
 * Copyright 2020-2024, Jonas Kvinge <jonas@jkvinge.net>
 *
 * Strawberry is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Strawberry is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Strawberry.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef PLAYLISTUNDOCOMMANDBASE_H
#define PLAYLISTUNDOCOMMANDBASE_H

#include <QUndoCommand>

class Playlist;

class PlaylistUndoCommandBase : public QUndoCommand {
 public:
  explicit PlaylistUndoCommandBase(Playlist *playlist);

  enum class Type {
    RemoveItems = 0,
  };

 protected:
  Playlist *playlist_;
};

#endif // PLAYLISTUNDOCOMMANDBASE_H
